about summary refs log tree commit diff
path: root/tests/simple.builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/simple.builder.sh')
-rw-r--r--tests/simple.builder.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/simple.builder.sh b/tests/simple.builder.sh
new file mode 100644
index 000000000000..dcd9bdb64ad0
--- /dev/null
+++ b/tests/simple.builder.sh
@@ -0,0 +1,11 @@
+echo "PATH=$PATH"
+
+# Verify that the PATH is empty.
+if mkdir foo; then exit 1; fi
+
+# Set a PATH (!!! impure).
+export PATH=/bin:/usr/bin:$PATH
+
+mkdir $out
+
+echo "Hello World!" > $out/hello
\ No newline at end of file